import { AbstractAuth, IAuthError, IAuthIdentity, IAccessDetails, GenericResult, IAuthData, IAuthOptions } from "@skazska/abstract-service-model";
export declare class JWTAuth extends AbstractAuth {
    constructor(identityConstructor: (subject: string, details: IAccessDetails, realm?: string) => IAuthIdentity, options?: IAuthOptions);
    protected verify(secret: any, token: string, realm?: string): Promise<GenericResult<IAuthData, IAuthError>>;
    grant(details: any, subject: string, realms?: string[]): Promise<GenericResult<string, IAuthError>>;
}
